## argyll 1.3.3

=== debian/changelog ===
argyll (1.3.3-0ubuntu4) oneiric; urgency=low

  * debian/control, debian/rules, debian/docs, debian/libicc2.install,
    debian/libicc-dev.install, debian/argyll.install, debian/argyll.examples,
    debian/README.Debian, debian/local/configure.ac, debian/local/Makefile.am:
    Reverted the merge of the argyll and libicc2 source packages. Only libicc2
    is really needed for Oneiric's new color management stack. Argyll is not
    absolutely needed and its upstream source is far from suitable for use in
    Linux distributions. It uses the jam build system which is unmaintained for
    years and it ships patched derivatives of system libraries (libusb). For
    calibration instrument support it must be decided between one of two
    solution, either a general improvement of Argyll's architecture or moving
    of calibration hardware drivers into colord. This cannot be decided any
    more in Oneiric and needs to get worked out with upstream.
  * debian/rules: Removed /usr/bin/icclu and /usr/bin/iccdump as these are
    already in the libicc2 package.
  * debian/control: Removed conflict with libicc as we have removed the
    conflicting files.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 10 Aug 2011 06:34:41 +0200

argyll (1.3.3-0ubuntu3) oneiric; urgency=low

  * debian/rules: Remove /usr/bin/License.txt
  * debian/libicc-dev.install: Do not install *.la files.
  * debian/libicc2.symbols: Provise symbols file for the shared library.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Wed, 10 Aug 2011 00:43:41 +0200

argyll (1.3.3-0ubuntu2) oneiric; urgency=low

  * debian/control, debian/rules, debian/docs, debian/libicc2.install,
    debian/libicc-dev.install, debian/argyll.install, debian/argyll.preinst,
    debian/argyll.postrm, debian/argyll.examples, debian/README.Debian,
    debian/README.Spyder2, debian/local/configure.ac, debian/local/Makefile.am,
    debian/local/firmware-package-builder: Merged the unsplitting of the
    Debian package with libicc2 from 1.2.0-0 in Debian experimental, the use
    of the original upstream Jam build system from Pascal de Bruijn's PPA,
    the simple automake/autoconf build system from the former standalone
    libicc2, and the quilt patch system from the recent Ubuntu Argyll
    packages into one new Ubuntu package. Binary package versioning is done
    with the method introduced by the unsplitting in Debian experimental. In
    addition, now everything which is not part of the upstream source is in
    the debian/ directory.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Sat, 06 Aug 2011 02:14:41 +0200

argyll (1.3.3-0ubuntu1) oneiric; urgency=low

  * Updated Argyll by using the package from Pascal de Bruijn's PPA
    (LP: #782584).
  * argyll-correct-link-command-lines.patch: Correct the linker command lines
    to have the "-l..." arguments for linking with the system's libraries at
    the end. From Oneiric on this is needed.

 -- Till Kamppeter <till.kamppeter@gmail.com>  Fri, 05 Aug 2011 09:38:41 +0200

argyll (1.3.3-0pmjdebruijn2~natty) natty; urgency=low

  * Added Replaces for libicc2 to prevent problems with iccdump/icclu.

 -- Pascal de Bruijn <pmjdebruijn@pcode.nl>  Sun, 29 May 2011 00:28:10 +0200

argyll (1.3.3-0pmjdebruijn1~natty) natty; urgency=low

  * New upstream release.

 -- Pascal de Bruijn <pmjdebruijn@pcode.nl>  Sun, 15 May 2011 23:09:10 +0200

argyll (1.3.0-3) experimental; urgency=low

  * Minor future-proofing in debian/rules.
  * Also removed redundant shipping of the firmware-package-builder
    tarball, thanks to Pascal de Bruijn for noticing.

 -- Roland Mas <lolando@debian.org>  Fri, 17 Sep 2010 11:05:22 +0200

argyll (1.3.0-2) experimental; urgency=low

  * Fixed packaging bugs introduced when un-splitting the source package.

 -- Roland Mas <lolando@debian.org>  Tue, 14 Sep 2010 11:29:27 +0200

argyll (1.3.0-1) experimental; urgency=low

  * New upstream release.

 -- Roland Mas <lolando@debian.org>  Wed, 08 Sep 2010 15:16:29 +0200

argyll (1.2.1-1) experimental; urgency=low

  * New upstream bugfix release.
  * Please welcome Xavier Oswald as uploader.

 -- Roland Mas <lolando@debian.org>  Sun, 05 Sep 2010 15:50:41 +0200

argyll (1.2.0-0) UNRELEASED; urgency=low

  * New upstream release.
  * Unsplit libicc2, built from the same source package again (since
    upstream only ships it as part of Argyll anyway).
  * Bumped Standards-Version to 3.9.1 (no changes).
  * argyll-firmware-spyder2: Moved firmware to /usr/share/color, which is
    freedesktop.org-compliant and (more to the point) where Argyll 1.2.0
    looks for it.

 -- Roland Mas <lolando@debian.org>  Thu, 05 Aug 2010 15:33:20 +0200

argyll (1.1.1-1) unstable; urgency=low

  * New upstream release.
  * Switched dependency on policykit-1 to a more correct recommendation on
    consolekit + recent udev.
  * Updated copyright file (doc is now GFDL-1.3).
  * Bumped Standards-Version to 3.8.4 (no changes required).

 -- Roland Mas <lolando@debian.org>  Wed, 24 Feb 2010 21:26:55 +0100

argyll (1.1.0-5) unstable; urgency=low

  * Bumped version build-dependency on libicc-dev to prevent segmentation
    fault.

 -- Roland Mas <lolando@debian.org>  Mon, 25 Jan 2010 19:06:07 +0100

argyll (1.1.0-4) unstable; urgency=low

  * Adapted packaging to new udev rules, now compatible with PolicyKit-1
    (closes: #529411).  This should fix device file permissions problems,
    too (closes: #549406).  And also the "deprecated udev function"
    warning (closes: #564269).
  * Removed conffiles no longer shipped by the package.

 -- Roland Mas <lolando@debian.org>  Mon, 25 Jan 2010 13:47:59 +0100

argyll (1.1.0-3) unstable; urgency=low

  * Only depend on udev for Linux systems.

 -- Roland Mas <lolando@debian.org>  Mon, 25 Jan 2010 11:42:54 +0100

argyll (1.1.0-2) unstable; urgency=low

  * Fix build on FreeBSD, patch from Petr Salinger
    <Petr.Salinger@seznam.cz> (closes: #566768).

 -- Roland Mas <lolando@debian.org>  Mon, 25 Jan 2010 10:29:33 +0100


