=== debian/local/firmware-package-builder/argyll-firmware-spyder2/debian/changelog ===
argyll-firmware-spyder2 (1.1) unstable; urgency=low

  * Moved firmware to /usr/share/color, which is freedesktop.org-compliant
    and (more to the point) where Argyll 1.2.0 looks for it.

 -- Roland Mas <lolando@debian.org>  Thu, 05 Aug 2010 15:32:53 +0200

argyll-firmware-spyder2 (1.0) unstable; urgency=low

  * Package automatically generated from the Spyder2 driver CD.

 -- Roland Mas <lolando@debian.org>  Fri, 17 Apr 2009 22:28:37 +0200
