=== debian/control ===
Source: argyll
Section: graphics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Roland Mas <lolando@debian.org>
Uploaders: Xavier Oswald <xoswald@debian.org>
Standards-Version: 3.9.1
Build-Depends: debhelper (>= 7.0.50~), libtiff4-dev, libx11-dev, libxxf86vm-dev,
 x11proto-xf86vidmode-dev, libxinerama-dev, libxrandr-dev,
 x11proto-scrnsaver-dev, libxss-dev, jam, quilt,
 libusbhid-dev [kfreebsd-amd64 kfreebsd-i386]
Homepage: http://www.argyllcms.com/
Vcs-Bzr: http://bzr.debian.org/pkg-phototools/argyll/debian/sid/
Vcs-Browser: http://bzr.debian.org/loggerhead/pkg-phototools/argyll/debian/sid/changes

Package: argyll
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: argyll-bin
Recommends: consolekit, udev (>= 146~) [linux-any]
Conflicts: argyll-bin
Description: Color Management System, calibrator and profiler
 Argyll is an experimental, open source, ICC compatible color management
 system. It supports accurate ICC profile creation for scanners, CMYK
 printers, film recorders and calibration and profiling of displays.
 Spectral sample data is supported, allowing a selection of illuminants
 observer types, and paper fluorescent whitener additive compensation.
 Profiles can also incorporate source specific gamut mappings for perceptual
 and saturation intents. Gamut mapping and profile linking uses the CIECAM02
 appearance model, a unique gamut mapping algorithm, and a wide selection of
 rendering intents. It also includes code for the fastest portable 8 bit
 raster color conversion engine available anywhere, as well as support for
 fast, fully accurate 16 bit conversion. Device color gamuts can also be
 viewed and compared using a VRML viewer.

Package: argyll-dbg
Architecture: any
Depends: argyll, ${misc:Depends}, ${shlibs:Depends}
Description: Color Management System, calibrator and profiler (debug)
 Argyll is an experimental, open source, ICC compatible color management
 system. 
 .
 This package contains the debugging symbols.
