=== debian/local/firmware-package-builder/argyll-firmware-spyder2/debian/control ===
Source: argyll-firmware-spyder2
Section: non-free/graphics
Priority: optional
Maintainer: Roland Mas <lolando@debian.org>
Build-Depends: debhelper (>= 7)
Standards-Version: 3.9.1

Package: argyll-firmware-spyder2
Architecture: all
Recommends: argyll
Depends: ${misc:Depends}
Description: ColorVision Spyder2 firmware for Argyll
 Argyll is an open source, ICC compatible color management system.  It
 can drive display calibrators such as the ColorVision Spyder2, which
 requires a firmware to be uploaded to the device.  This package is
 generated from the drivers CD provided with the Spyder2, and contains
 the firmware ready to be used by Argyll.
