=== debian/local/firmware-package-builder/argyll-firmware-spyder2/debian/rules ===
#! /usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	cp /usr/local/share/color/spyd2PLD.bin .

override_dh_auto_clean:
	rm -f spyd2PLD.bin
