=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_clean:
	rm -rf firmware-package-builder

override_dh_auto_configure:

override_dh_auto_build:
	jam -q -f Jambase -s DESTDIR=debian/tmp -s PREFIX=/usr -j 3

override_dh_auto_install:
	jam -q -f Jambase -s DESTDIR=debian/tmp -s PREFIX=/usr -j 3 install
	rm debian/tmp/usr/bin/License.txt
	rm debian/tmp/usr/bin/icclu
	rm debian/tmp/usr/bin/iccdump

override_dh_installchangelogs:
	dh_installchangelogs log.txt

build: firmware-package-builder/spyder2.tar.gz

firmware-package-builder/%.tar.gz: debian/local/firmware-package-builder/argyll-firmware-%
	mkdir -p firmware-package-builder
	cp -a $< firmware-package-builder
	chmod +x firmware-package-builder/$(notdir $<)/debian/rules
	tar cfCz $@ firmware-package-builder $(notdir $<)

override_dh_strip:
	dh_strip --dbg-package=argyll-dbg

.PHONY: override_dh_auto_clean override_dh_auto_configure override_dh_auto_build override_dh_auto_install override_dh_installchangelogs build override_dh_strip
