## argyll 1.3.5

=== debian/changelog ===
argyll (1.3.5-7) unstable; urgency=low

  * Really fix previous bug.
  * Use debhelper 9.

 -- Christian Marillat <marillat@debian.org>  Tue, 13 Mar 2012 08:41:01 +0100

argyll (1.3.5-6) unstable; urgency=low

  * Fix another bug in ColorHugColorHug (Closes: #661643)

 -- Christian Marillat <marillat@debian.org>  Sun, 11 Mar 2012 16:59:06 +0100

argyll (1.3.5-5) unstable; urgency=low

  * Fix two bugs in ColorHugColorHug patch (Closes: #657582).

 -- Christian Marillat <marillat@debian.org>  Sat, 28 Jan 2012 01:42:30 +0100

argyll (1.3.5-4) unstable; urgency=low

  * New patch 03_add-ColorHug_sensor_driver to add support for the ColorHug
    sensor (Closes: #655888)

 -- Christian Marillat <marillat@debian.org>  Tue, 17 Jan 2012 18:22:51 +0100

argyll (1.3.5-3) unstable; urgency=low

  * debian/rules Enable make distclean (Closes: #649728).

 -- Christian Marillat <marillat@debian.org>  Wed, 23 Nov 2011 15:17:42 +0100

argyll (1.3.5-2) unstable; urgency=low

  * Don't package icclu and iccdump binaries in argyll, files already in
    libicc2 package.

 -- Christian Marillat <marillat@debian.org>  Mon, 21 Nov 2011 08:25:40 +0100

argyll (1.3.5-1) unstable; urgency=low

  [ Christian Marillat ]
  * New maintainer (Closes: #622620) Thanks, Roland!
  * Use dh-autoreconf.

  [ Dmitry Nezhevenko ]
  * New upstream release (Closes: #647093).
  * Switch to dpkg-source 3.0 (quilt) format.
  * Merge debian changes from 1.3.0 (experimental) and 1.1.1 (unstable).
  * Unsplit libicc2, built from the same source package again (since
    upstream only ships it as part of Argyll anyway).  Actually was already
    done in experimental (Closes: #636801).
  * Use kfreebsd-any instead of kfreebsd-(i386|amd64) to match kFreeBSD
    (Closes: #634688).
  * Provide dedicated libimdi0/libimdi-dev libraries (Closes: #611139).
  * Add argyll-dbg package with debug symbols.

 -- Christian Marillat <marillat@debian.org>  Sun, 13 Nov 2011 15:30:42 +0100

argyll (1.1.1-2) unstable; urgency=medium

  * QA upload.
  * Add ../libargyll.la to LDADD (Closes: #615692).
  * Don't ship .la files (Closes: #621142).

 -- Luk Claes <luk@debian.org>  Sat, 11 Jun 2011 11:18:43 +0200
