=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with quilt

# Doesn't work for now.
#--parallel

override_dh_auto_configure:
	autoreconf -f -i
	LDFLAGS="-Wl,--as-needed -Wl,--no-undefined" dh_auto_configure

override_dh_auto_clean:
	dh_clean imdi/imdi_k.c ref/RefMediumGamut.gam \
	libusb/Makefile libusb/config.h libusb/config.log libusb/usb.h	\
	libusb/config.status libusb/doc/Makefile libusb/libtool		\
	libusb/libusb-config libusb/libusb.pc libusb/stamp-h1		\
	libusb/tests/Makefile firmware-package-builder/*.tar.gz

#	[ -z $(shell grep -c jam Makefile) ] || rm Makefile
#	[ ! -f Makefile ] || $(MAKE) distclean
	-make distclean

override_dh_auto_install: firmware-package-builder/spyder2.tar.gz
	dh_auto_install

	rm debian/tmp/usr/share/doc/argyll/DocLicense.txt
	rm debian/tmp/usr/share/doc/argyll/License.txt

	-rm `find $(CURDIR)/debian/tmp -name '*.la'`

override_dh_install:
	dh_install --fail-missing

#	for i in $$(cat debian/libicc2.install debian/libicc-dev.install) ; do rm -f $(CURDIR)/debian/argyll/$$i ; done
#	rm $(CURDIR)/debian/argyll/usr/share/doc/argyll/License.txt $(CURDIR)/debian/argyll/usr/share/doc/argyll/DocLicense.txt
#	for i in average refine targen verify ; do mv $(CURDIR)/debian/argyll/usr/bin/$$i $(CURDIR)/debian/argyll/usr/bin/argyll-$$i ; done

override_dh_installchangelogs:
	dh_installchangelogs log.txt

LIBICC_VERSION=$(shell awk -F= '/^LIBICC_VERSION=/ { print $$2 }' icc/Makefile.am)
ARGYLL_VERSION=$(shell dpkg-parsechangelog | awk '/^Version:/ { print $$2 }')

override_dh_gencontrol:
	dh_gencontrol -plibicc2 -- -v$(LIBICC_VERSION)+argyll$(ARGYLL_VERSION)
	dh_gencontrol -plibicc-dev -- -v$(LIBICC_VERSION)+argyll$(ARGYLL_VERSION)
	dh_gencontrol --remaining-packages

#build: firmware-package-builder/spyder2.tar.gz

firmware-package-builder/%.tar.gz: firmware-package-builder/argyll-firmware-%
	chmod +x $</debian/rules
	tar cfCz $@ firmware-package-builder $(notdir $<)

override_dh_strip:
	dh_strip --dbg-package=argyll-dbg

override_dh_builddeb:
	dh_builddeb -- -Zbzip2

build-manpages:
	help2man -N --no-discard-stderr --name="Dump an ICC file in human readable form." /usr/bin/iccdump > debian/iccdump.1
	help2man -N --no-discard-stderr --name="Translate colors through an ICC profile." /usr/bin/icclu > debian/icclu.1
	help2man -N --no-discard-stderr --name="Apply device calibration to an ICC profile." /usr/bin/applycal > debian/applycal.1
	help2man -N --no-discard-stderr --name="Average or merge values in .ti3 like files." /usr/bin/average > debian/average.1
	help2man -N --no-discard-stderr --name="Convert Colorblind raw device profile data to Argyll data." /usr/bin/cb2ti3 > debian/cb2ti3.1
	help2man -N --no-discard-stderr --name="Color Correct a TIFF file using any sequence of ICC profiles or Calibrations." /usr/bin/cctiff > debian/cctiff.1
	help2man -N --no-discard-stderr --name="Plot spectrum and calculate CCT and VCT." /usr/bin/ccttest > debian/ccttest.1
	help2man -N --no-discard-stderr --name="Create CCMX or CCSS." /usr/bin/ccxxmake > debian/ccxxmake.1
	help2man -N --no-discard-stderr --name="Read Target Test Chart." /usr/bin/chartread > debian/chartread.1
	help2man -N --no-discard-stderr --name="Link ICC profiles." /usr/bin/collink > debian/collink.1
	help2man -N --no-discard-stderr --name="Create ICC profile." /usr/bin/colprof > debian/colprof.1
	help2man -N --no-discard-stderr --name="Calibrate a Display." /usr/bin/dispcal > debian/dispcal.1
	help2man -N --no-discard-stderr --name="Read a Display." /usr/bin/dispread > debian/dispread.1
	help2man -N --no-discard-stderr --name="Test display patch window, Set Video LUTs, Install profiles." /usr/bin/dispwin > debian/dispwin.1
	help2man -N --no-discard-stderr --name="Extract an ICC profile from a TIFF file." /usr/bin/extracticc > debian/extracticc.1
	help2man -N --no-discard-stderr --name="Extract a text tag from an ICC profile." /usr/bin/extractttag > debian/extractttag.1
	help2man -N --no-discard-stderr --name="Create a fake CMY data file from a CMYK profile." /usr/bin/fakeCMY > debian/fakeCMY.1
	help2man -N --no-discard-stderr --name="Fake test chart reader - lookup values in ICC/MPP profile." /usr/bin/fakeread > debian/fakeread.1
	help2man -N --no-discard-stderr --name="Convert a TIFF file to monochrome using an ICC device profile." /usr/bin/greytiff > debian/greytiff.1
	help2man -N --no-discard-stderr --name="Translate X-Rite EDR to Argyll .ccss format, & install." /usr/bin/i1d3ccss > debian/i1d3ccss.1
	help2man -N --no-discard-stderr --name="Dump an ICC file in human readable form." /usr/bin/iccdump > debian/iccdump.1
	help2man -N --no-discard-stderr --name="Create Lab/Jab gamut plot." /usr/bin/iccgamut > debian/iccgamut.1
	help2man -N --no-discard-stderr --name="Measure an illuminant." /usr/bin/illumread > debian/illumread.1
	help2man -N --no-discard-stderr --name="Check fwd to bwd relative transfer of an ICC file." /usr/bin/invprofcheck > debian/invprofcheck.1
	help2man -N --no-discard-stderr --name="Convert Kodak raw printer profile data to Argyll print data." /usr/bin/kodak2ti3 > debian/kodak2ti3.1
	help2man -N --no-discard-stderr --name="Check Model Printer Profile." /usr/bin/mppcheck > debian/mppcheck.1
	help2man -N --no-discard-stderr --name="Translate colors through an MPP profile." /usr/bin/mpplu > debian/mpplu.1
	help2man -N --no-discard-stderr --name="Create Model Printer Profile." /usr/bin/mppprof > debian/mppprof.1
	help2man -N --no-discard-stderr --name="Plot device space path L in/out curve from an ICC link file." /usr/bin/pathplot > debian/pathplot.1
	help2man -N --no-discard-stderr --name="Create printer calibration." /usr/bin/printcal > debian/printcal.1
	help2man -N --no-discard-stderr --name="Generate Target PostScrip file." /usr/bin/printtarg > debian/printtarg.1
	help2man -N --no-discard-stderr --name="Check accuracy of ICC profile." /usr/bin/profcheck > debian/profcheck.1
	help2man -N --no-discard-stderr --name="Create abstract correction profile given table of absolute CIE correction values." /usr/bin/refine > debian/refine.1
	help2man -N --no-discard-stderr --name="Invert AtoB1 to make BtoA1 for CMYK profiles." /usr/bin/revfix > debian/revfix.1
	help2man -N --no-discard-stderr --name="Scanin." /usr/bin/scanin > debian/scanin.1
	help2man -N --no-discard-stderr --name="Create Optimsed separation." /usr/bin/sepgen > debian/sepgen.1
	help2man -N --no-discard-stderr --name="Create Simple CMYK Device Profile." /usr/bin/simpprof > debian/simpprof.1
	help2man -N --no-discard-stderr --name="Convert spectral .ti3 file." /usr/bin/spec2cie > debian/spec2cie.1
	help2man -N --no-discard-stderr --name="Plot spectrum and calculate CCT and VCT." /usr/bin/specplot > debian/specplot.1
	help2man -N --no-discard-stderr --name="Split a .ti3 into two." /usr/bin/splitti3 > debian/splitti3.1
	help2man -N --no-discard-stderr --name="Read Print Spot values." /usr/bin/spotread > debian/spotread.1
	help2man -N --no-discard-stderr --name="Transfer Spyder 2 PLD pattern from file." /usr/bin/spyd2en > debian/spyd2en.1
	help2man -N --no-discard-stderr --name="Create a synthetic calibration file." /usr/bin/synthcal > debian/synthcal.1
	help2man -N --no-discard-stderr --name="Synthetic device model test chart reader." /usr/bin/synthread > debian/synthread.1
	help2man -N --no-discard-stderr --name="Generate Target deviceb test chart color values." /usr/bin/targen > debian/targen.1
	help2man -N --no-discard-stderr --name="Create VRML image of the gamut surface of a TIFF." /usr/bin/tiffgamut > debian/tiffgamut.1
	help2man -N --no-discard-stderr --name="Convert Gretag/Logo or X-Rite ColorPport raw RGB or CMYK device profile data to Argyll CGATS data." /usr/bin/txt2ti3 > debian/txt2ti3.1
	help2man -N --no-discard-stderr --name="Verify CIE values." /usr/bin/verify > debian/verify.1
	help2man -N --no-discard-stderr --name="View gamuts." /usr/bin/viewgam > debian/viewgam.1
	help2man -N --no-discard-stderr --name="Translate colors through an xicc." /usr/bin/xicclu > debian/xicclu.1
