## argyll 1.3.6

=== debian/changelog ===
argyll (1.3.6-2) unstable; urgency=low

  * debian/rules Fix clean target.

 -- Christian Marillat <marillat@debian.org>  Mon, 19 Mar 2012 16:50:40 +0100

argyll (1.3.6-1) unstable; urgency=low

  * New upstream release.
  * Removed 03_add-ColorHug_sensor_driver patch, but beware the support for
    ColorHug is experimental.

 -- Christian Marillat <marillat@debian.org>  Mon, 19 Mar 2012 10:55:20 +0100
