=== debian/control ===
--- 
+++ 
@@ -1,17 +1,16 @@
 Source: argyll
 Section: graphics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Roland Mas <lolando@debian.org>
+Maintainer: Christian Marillat <marillat@debian.org>
 Uploaders: Xavier Oswald <xoswald@debian.org>
-Standards-Version: 3.9.1
-Build-Depends: debhelper (>= 7.0.50~), libtiff4-dev, libx11-dev, libxxf86vm-dev,
- x11proto-xf86vidmode-dev, libxinerama-dev, libxrandr-dev,
- x11proto-scrnsaver-dev, libxss-dev, jam, quilt,
- libusbhid-dev [kfreebsd-amd64 kfreebsd-i386]
 Homepage: http://www.argyllcms.com/
 Vcs-Bzr: http://bzr.debian.org/pkg-phototools/argyll/debian/sid/
 Vcs-Browser: http://bzr.debian.org/loggerhead/pkg-phototools/argyll/debian/sid/changes
+Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9), libtiff4-dev, libx11-dev, libxxf86vm-dev,
+ x11proto-xf86vidmode-dev, libxinerama-dev, libxrandr-dev, x11proto-scrnsaver-dev,
+ libxss-dev, libusbhid-dev [kfreebsd-any], autoconf, automake | automaken, libtool,
+ quilt
 
 Package: argyll
 Architecture: any
@@ -34,11 +33,65 @@
  viewed and compared using a VRML viewer.
 
 Package: argyll-dbg
+Section: debug
 Architecture: any
-Depends: argyll, ${misc:Depends}, ${shlibs:Depends}
-Description: Color Management System, calibrator and profiler (debug)
+Priority: extra
+Depends: argyll (= ${binary:Version}), ${misc:Depends}
+Description: debugging symbols for argyll
  Argyll is an experimental, open source, ICC compatible color management
- system. 
+ system. It supports accurate ICC profile creation for scanners, CMYK
+ printers, film recorders and calibration and profiling of displays.
  .
- This package contains the debugging symbols.
+ This package contains the debugging symbols for argyll, libicc and libimdi
+ libraries
 
+Package: libicc-dev
+Section: libdevel
+Architecture: any
+Depends: libicc2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Conflicts: argyll (<< 1.0.3+dfsg1-3)
+Description: Development files for the ICC profile I/O library
+ The icclib is a set of routines which implement the reading and
+ writing of color profile files that conform to the International
+ Color Consortium (ICC) Profile Format Specification, Version 3.4.
+ .
+ This package is needed to compile programs against libicc2, as
+ it only includes the header files and static libraries (optionally)
+ needed for compiling.
+
+Package: libicc2
+Section: libs
+Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Replaces: argyll
+Description: ICC profile I/O library
+ The icclib is a set of routines which implement the reading and
+ writing of color profile files that conform to the International
+ Color Consortium (ICC) Profile Format Specification, Version 3.4.
+
+Package: libimdi-dev
+Section: libdevel
+Architecture: any
+Depends: libimdi0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Conflicts: argyll (<< 1.3.0-3)
+Description: Development files for the IMDI library
+ The Interger Multi-Dimensional Interpolation routines provides a flexible
+ and high performance system for applying color transforms to typical raster 
+ pixel data.
+ .
+ This package is needed to compile programs against libimdi0, as
+ it only includes the header files and static libraries (optionally)
+ needed for compiling.
+
+Package: libimdi0
+Section: libs
+Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Conflicts: argyll (<< 1.3.0-3)
+Description: Integer Multi-Dimensional Interpolation routines (IMDI) library
+ The Interger Multi-Dimensional Interpolation routines provides a flexible
+ and high performance system for applying color transforms to typical raster 
+ pixel data.
+
