=== debian/rules ===
--- 
+++ 
@@ -18,8 +18,9 @@
 	libusb/tests/Makefile firmware-package-builder/*.tar.gz
 
 #	[ -z $(shell grep -c jam Makefile) ] || rm Makefile
-#	[ ! -f Makefile ] || $(MAKE) distclean
-	-make distclean
+	[ ! -f Makefile ] || $(MAKE) distclean
+
+#	-make distclean
 
 override_dh_auto_install: firmware-package-builder/spyder2.tar.gz
 	dh_auto_install
@@ -95,13 +96,13 @@
 	help2man -N --no-discard-stderr --name="Create abstract correction profile given table of absolute CIE correction values." /usr/bin/refine > debian/refine.1
 	help2man -N --no-discard-stderr --name="Invert AtoB1 to make BtoA1 for CMYK profiles." /usr/bin/revfix > debian/revfix.1
 	help2man -N --no-discard-stderr --name="Scanin." /usr/bin/scanin > debian/scanin.1
-	help2man -N --no-discard-stderr --name="Create Optimsed separation." /usr/bin/sepgen > debian/sepgen.1
 	help2man -N --no-discard-stderr --name="Create Simple CMYK Device Profile." /usr/bin/simpprof > debian/simpprof.1
 	help2man -N --no-discard-stderr --name="Convert spectral .ti3 file." /usr/bin/spec2cie > debian/spec2cie.1
 	help2man -N --no-discard-stderr --name="Plot spectrum and calculate CCT and VCT." /usr/bin/specplot > debian/specplot.1
 	help2man -N --no-discard-stderr --name="Split a .ti3 into two." /usr/bin/splitti3 > debian/splitti3.1
 	help2man -N --no-discard-stderr --name="Read Print Spot values." /usr/bin/spotread > debian/spotread.1
 	help2man -N --no-discard-stderr --name="Transfer Spyder 2 PLD pattern from file." /usr/bin/spyd2en > debian/spyd2en.1
+	help2man -N --no-discard-stderr --name="Transfer Spyder 2 PLD pattern from file." /usr/bin/spyd4en > debian/spyd4en.1
 	help2man -N --no-discard-stderr --name="Create a synthetic calibration file." /usr/bin/synthcal > debian/synthcal.1
 	help2man -N --no-discard-stderr --name="Synthetic device model test chart reader." /usr/bin/synthread > debian/synthread.1
 	help2man -N --no-discard-stderr --name="Generate Target deviceb test chart color values." /usr/bin/targen > debian/targen.1
