## argyll 1.4.0

=== debian/changelog ===
argyll (1.4.0-8) unstable; urgency=low

  * Add a Breaks field and update the version in the Replaces field for the
    icc-utils package (Closes: #694287)

 -- Christian Marillat <marillat@debian.org>  Sun, 25 Nov 2012 09:59:35 +0100

argyll (1.4.0-7) unstable; urgency=high

  * New patch 04_CVE-2012-4405.diff to fix CVE-2012-4405 issue
    (Closes: #687275)

 -- Christian Marillat <marillat@debian.org>  Tue, 11 Sep 2012 13:45:12 +0200

argyll (1.4.0-6) unstable; urgency=low

  * Use dh_autoreconf (Closes: #678909)

 -- Christian Marillat <marillat@debian.org>  Mon, 25 Jun 2012 07:52:56 +0200

argyll (1.4.0-5) unstable; urgency=low

   * Refresh 01_autotools-support patch (Closes: #678750).

 -- Christian Marillat <marillat@debian.org>  Mon, 25 Jun 2012 00:01:31 +0200

argyll (1.4.0-4) unstable; urgency=low

  * Should Build-Depends on libusb-dev (Closes: #670329).

 -- Christian Marillat <marillat@debian.org>  Wed, 25 Apr 2012 07:46:07 +0200

argyll (1.4.0-3) unstable; urgency=low

  * Fix kfreebsd build. Thanks to Robert Millan for the patch.
    (Closes: #595951 #630208).

 -- Christian Marillat <marillat@debian.org>  Tue, 24 Apr 2012 07:49:03 +0200

argyll (1.4.0-2) unstable; urgency=low

  * Move binaries from libicc2 package to a new icc-utils package (Closes:
    #670003).

 -- Christian Marillat <marillat@debian.org>  Sun, 22 Apr 2012 16:07:43 +0200

argyll (1.4.0-1) unstable; urgency=low

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Sat, 21 Apr 2012 15:53:50 +0200

argyll (1.3.7-1.1) unstable; urgency=low

  * Use DEB_LDFLAGS_MAINT_APPEND to add more LDFLAGS (Closes: #667924)

 -- Christian Marillat <marillat@debian.org>  Mon, 09 Apr 2012 10:45:56 +0200

argyll (1.3.7-1) unstable; urgency=low

  * New upstream release.
  * Try to fix the build (Thanks to Dmitry Nezhevenko) (Closes: #665055).
  * Move to debhelper 9 for multi-arch and hardened flags.

 -- Christian Marillat <marillat@debian.org>  Tue, 03 Apr 2012 08:46:37 +0200

argyll (1.3.6-3) unstable; urgency=low

  * Call dh_quilt_unpatch after MAKE distclean.
  * Rework Makefile test to be sure we don't call upstream Makefile with
    missing distclean target.

 -- Christian Marillat <marillat@debian.org>  Tue, 20 Mar 2012 14:44:40 +0100
