=== debian/control ===
--- 
+++ 
@@ -4,13 +4,11 @@
 Maintainer: Christian Marillat <marillat@debian.org>
 Uploaders: Xavier Oswald <xoswald@debian.org>
 Homepage: http://www.argyllcms.com/
-Vcs-Bzr: http://bzr.debian.org/pkg-phototools/argyll/debian/sid/
-Vcs-Browser: http://bzr.debian.org/loggerhead/pkg-phototools/argyll/debian/sid/changes
 Standards-Version: 3.9.3
 Build-Depends: debhelper (>= 9), libtiff4-dev, libx11-dev, libxxf86vm-dev,
  x11proto-xf86vidmode-dev, libxinerama-dev, libxrandr-dev, x11proto-scrnsaver-dev,
  libxss-dev, libusbhid-dev [kfreebsd-any], autoconf, automake | automaken, libtool,
- quilt
+ quilt, libjpeg-dev, libusb-dev, dh-autoreconf
 
 Package: argyll
 Architecture: any
@@ -45,9 +43,26 @@
  This package contains the debugging symbols for argyll, libicc and libimdi
  libraries
 
+Package: icc-utils
+Section: graphics
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Breaks:   libicc2 (<< 2.12+argyll1.4.0-2)
+Replaces: libicc2 (<< 2.12+argyll1.4.0-2)
+Description: ICC profile I/O library
+ The icclib is a set of routines which implement the reading and  
+ writing of color profile files that conform to the International 
+ Color Consortium (ICC) Profile Format Specification, Version 3.4.
+ .
+ This package contains two utilities :
+ .
+  * iccdump : dump an ICC file in human readable form.
+  * icclu : translate colors through an ICC profile.
+
 Package: libicc-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libicc2 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Conflicts: argyll (<< 1.0.3+dfsg1-3)
 Description: Development files for the ICC profile I/O library
@@ -62,6 +77,7 @@
 Package: libicc2
 Section: libs
 Architecture: any
+Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Replaces: argyll
@@ -73,6 +89,7 @@
 Package: libimdi-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libimdi0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Conflicts: argyll (<< 1.3.0-3)
 Description: Development files for the IMDI library
@@ -87,6 +104,7 @@
 Package: libimdi0
 Section: libs
 Architecture: any
+Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Conflicts: argyll (<< 1.3.0-3)
