=== debian/rules ===
--- 
+++ 
@@ -1,14 +1,17 @@
 #!/usr/bin/make -f
 
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -Wl,--no-undefined
+
 %:
-	dh $@ --with quilt
+	dh $@ --with quilt --with autoreconf
 
 # Doesn't work for now.
 #--parallel
 
 override_dh_auto_configure:
-	autoreconf -f -i
-	LDFLAGS="-Wl,--as-needed -Wl,--no-undefined" dh_auto_configure
+	chmod +x ./configure
+
+	dh_auto_configure
 
 override_dh_auto_clean:
 	dh_clean imdi/imdi_k.c ref/RefMediumGamut.gam \
@@ -17,13 +20,15 @@
 	libusb/libusb-config libusb/libusb.pc libusb/stamp-h1		\
 	libusb/tests/Makefile firmware-package-builder/*.tar.gz
 
-#	[ -z $(shell grep -c jam Makefile) ] || rm Makefile
+	[ ! $(shell grep jam Makefile) ] || rm Makefile
+
 	[ ! -f Makefile ] || $(MAKE) distclean
 
-#	-make distclean
+	find -name Makefile.in | xargs -r rm
 
 override_dh_auto_install: firmware-package-builder/spyder2.tar.gz
-	dh_auto_install
+	$(MAKE) install -i DESTDIR=$(CURDIR)/debian/tmp
+	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
 
 	rm debian/tmp/usr/share/doc/argyll/DocLicense.txt
 	rm debian/tmp/usr/share/doc/argyll/License.txt
@@ -109,5 +114,3 @@
 	help2man -N --no-discard-stderr --name="Create VRML image of the gamut surface of a TIFF." /usr/bin/tiffgamut > debian/tiffgamut.1
 	help2man -N --no-discard-stderr --name="Convert Gretag/Logo or X-Rite ColorPport raw RGB or CMYK device profile data to Argyll CGATS data." /usr/bin/txt2ti3 > debian/txt2ti3.1
 	help2man -N --no-discard-stderr --name="Verify CIE values." /usr/bin/verify > debian/verify.1
-	help2man -N --no-discard-stderr --name="View gamuts." /usr/bin/viewgam > debian/viewgam.1
-	help2man -N --no-discard-stderr --name="Translate colors through an xicc." /usr/bin/xicclu > debian/xicclu.1
