=== debian/watch ===
version=3

opts="dversionmangle=s/\+dfsg\d+$//" http://www.argyllcms.com/downloadsrc.html Argyll_V(.*)_src\.zip
